using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MarketData.ValueAtRisk
{
  public class BinItem<T>
  {
    private double binValue;
    private long binCount;
    private T binObject;

    public BinItem(double binValue)
    {
      this.binCount=0;
      this.binValue = binValue;
      this.binObject=default(T);
    }
    public BinItem(double binValue,T binObject)
    {
      this.binCount=0;
      this.binValue = binValue;
      this.binObject=binObject;
    }
    public double BinValue
    {
      get { return binValue; }
      set { binValue = value; }                                                  
    }
    public long BinCount
    {
      get { return binCount; }
      set { binCount = value; }
    }
    public T BinObject
    {
      get{return binObject;}
      set{binObject=value;}
    }
  }
}
